From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/zope-deprecation/
Date: Sat, 9 Apr 2022 19:12:37 +0000 (UTC) [thread overview]
Message-ID: <1649531279.ad347a5dbed08f11f9ecc2b52598a212697ee8df.mgorny@gentoo> (raw)
commit: ad347a5dbed08f11f9ecc2b52598a212697ee8df
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 9 19:02:41 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Apr 9 19:07:59 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad347a5d
dev-python/zope-deprecation: EAPI 8, PEP517, remove namespace dep
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../zope-deprecation-4.4.0-r1.ebuild | 47 ++++++++++++++++++++++
1 file changed, 47 insertions(+)
diff --git a/dev-python/zope-deprecation/zope-deprecation-4.4.0-r1.ebuild b/dev-python/zope-deprecation/zope-deprecation-4.4.0-r1.ebuild
new file mode 100644
index 000000000000..3aa022b61549
--- /dev/null
+++ b/dev-python/zope-deprecation/zope-deprecation-4.4.0-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+MY_PN=${PN/-/.}
+MY_P=${MY_PN}-${PV}
+DESCRIPTION="Zope Deprecation Infrastructure"
+HOMEPAGE="
+ https://pypi.org/project/zope.deprecation/
+ https://github.com/zopefoundation/zope.deprecation/
+"
+SRC_URI="mirror://pypi/${MY_PN::1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ # this is needed to keep the tests working while
+ # dev-python/namespace-zope is still installed
+ cat > zope/__init__.py <<-EOF || die
+ __path__ = __import__('pkgutil').extend_path(__path__, __name__)
+ EOF
+ eunittest
+ rm zope/__init__.py || die
+}
next reply other threads:[~2022-04-09 19:12 UTC|newest]
Thread overview: 33+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-04-09 19:12 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-27 21:07 [gentoo-commits] repo/gentoo:master commit in: dev-python/zope-deprecation/ Michał Górny
2025-02-01 13:19 Michał Górny
2025-02-01 12:17 Arthur Zamarin
2025-01-16 5:11 Michał Górny
2024-06-18 15:56 Michał Górny
2023-11-24 15:31 Michał Górny
2023-11-23 18:55 Michał Górny
2023-06-06 6:13 Michał Górny
2023-04-29 9:25 Michał Górny
2023-04-29 7:47 Arthur Zamarin
2023-03-30 2:57 Michał Górny
2023-03-21 6:49 Michał Górny
2023-03-17 18:28 Michał Górny
2022-05-18 10:56 Michał Górny
2022-04-22 15:35 Michał Górny
2022-04-20 17:24 Michał Górny
2022-04-20 14:12 Jakov Smolić
2022-04-11 19:58 Michał Górny
2021-05-31 12:09 Michał Górny
2021-03-02 8:40 Sam James
2021-03-02 8:40 Sam James
2020-12-04 12:38 Michał Górny
2020-12-03 17:31 Michał Górny
2020-10-16 18:22 Michał Górny
2020-03-29 12:22 Michał Górny
2020-02-11 19:50 Agostino Sarubbo
2020-02-11 19:43 Agostino Sarubbo
2019-12-28 16:16 David Seifert
2019-11-30 8:28 Michał Górny
2017-09-17 21:09 Matt Turner
2017-07-15 17:25 Tobias Klausmann
2017-05-07 18:43 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1649531279.ad347a5dbed08f11f9ecc2b52598a212697ee8df.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox